import {WebClient} from "../../utils/WebClient";
import {EduTask, eduUrl} from "../../config/config";
// tslint:disable-next-line:no-var-requires
const JsonUtils = require('json-bigint')({"storeAsString": true});

export const TaskApi: TaskDefine.Lecture = {
    /**
     * 讲座已创建列表
     * @param form
     * @param headers
     */
    getLectureTask: async (taskForm, headers: any) => {
        const url: string = eduUrl + EduTask.LECTURE_TASK_GET;
        return await WebClient.requestResultDtoPost(taskForm, url, headers);
    },
    /**
     * 讲座详情
     */
    getLectureOne: async (id, headers: any) => {
        const url: string = eduUrl + EduTask.LECTURE_TASK_ONE + "?id=" + id;
        return await WebClient.requestResultDtoGet(id, url, headers);
    },
    /**
     * 讲座保存
     */
    saveLecture: async (saveForm, headers: any) => {
        const url: string = eduUrl + EduTask.LECTURE_TASK_SAVE;
        return await WebClient.requestResultDtoPost(saveForm, url, headers);
    },
    /**
     * 讲座修改
     */
    updLecture: async (updForm, headers: any) => {
        const url: string = eduUrl + EduTask.LECTURE_TASK_UPD;
        return await WebClient.requestResultDtoPost(updForm, url, headers);
    },
    /**
     * 讲座上传凭证
     */
    uploadLecture: async (uploadForm, headers: any) => {
        const url: string = eduUrl + EduTask.LECTURE_TASK_UPLAOD;
        return await WebClient.requestResultDtoPost(uploadForm, url, headers);
    },
    /**
     * 板报已创建列表
     */
    getBoardTask: async (taskForm, headers: any) => {
        const url: string = eduUrl + EduTask.BOARD_TASK_GET;
        return await WebClient.requestResultDtoPost(taskForm, url, headers);
    },
    /**
     * 板报详情
     */
    getBoardOne: async (id, headers: any) => {
        const url: string = eduUrl + EduTask.BOARD_TASK_ONE + "?id=" + id;
        return await WebClient.requestResultDtoGet(id, url, headers);
    },
    /**
     * 板报保存
     */
    saveBoard: async (saveForm, headers: any) => {
        const url: string = eduUrl + EduTask.BOARD_TASK_SAVE;
        return await WebClient.requestResultDtoPost(saveForm, url, headers);
    },
    /**
     * 板报修改
     */
    updBoard: async (updForm, headers: any) => {
        const url: string = eduUrl + EduTask.BOARD_TASK_UPD;
        return await WebClient.requestResultDtoPost(updForm, url, headers);
    },
    /**
     * 板报上传凭证
     */
    uploadBoard: async (uploadForm, headers: any) => {
        const url: string = eduUrl + EduTask.BOARD_TASK_UPLOAD;
        return await WebClient.requestResultDtoPost(uploadForm, url, headers);
    },
    /**
     * 系统宣教已创建列表
     */
    getSystemTask: async (taskForm, headers: any) => {
        const url: string = eduUrl + EduTask.SYS_TASK_GET;
        return await WebClient.requestResultDtoPost(taskForm, url, headers);
    },
    /**
     * 系统宣教详情
     */
    getSystemOne: async (id, headers: any) => {
        const url: string = eduUrl + EduTask.SYS_TASK_ONE + "?id=" + id;
        return await WebClient.requestResultDtoGet(id, url, headers);
    },
    /**
     * 居民查看系统宣教
     */
    getUserSystem: async (userForm, headers: any) => {
        const url: string = eduUrl + EduTask.SYS_USER_VIEW;
        return await WebClient.requestResultDtoPost(userForm, url, headers);
    },
    /**
     * 系统宣教保存
     */
    saveSystem: async (saveForm, headers: any) => {
        const url: string = eduUrl + EduTask.SYS_TASK_SAVE;
        return await WebClient.requestResultDtoPost(saveForm, url, headers);
    },
    /**
     * 系统宣教修改
     */
    updSystem: async (updForm, headers: any) => {
        const url: string = eduUrl + EduTask.SYS_TASK_UPD;
        return await WebClient.requestResultDtoPost(updForm, url, headers);
    },
    /**
     * 音像已创建列表
     */
    getVideoTask: async (taskForm, headers: any) => {
        const url: string = eduUrl + EduTask.VIDEO_TASK_GET;
        return await WebClient.requestResultDtoPost(taskForm, url, headers);
    },
    /**
     * 音像详情
     */
    getVideoOne: async (id, headers: any) => {
        const url: string = eduUrl + EduTask.VIDEO_TASK_ONE + "?id=" + id;
        return await WebClient.requestResultDtoGet(id, url, headers);
    },
    /**
     * 音像保存
     */
    saveVideo: async (saveForm, headers: any) => {
        const url: string = eduUrl + EduTask.VIDEO_TASK_SAVE;
        return await WebClient.requestResultDtoPost(saveForm, url, headers);
    },
    /**
     * 音像修改
     */
    updVideo: async (updForm, headers: any) => {
        const url: string = eduUrl + EduTask.VIDEO_TASK_UPD;
        return await WebClient.requestResultDtoPost(updForm, url, headers);
    },
    /**
     * 音像上传凭证
     */
    uploadVideo: async (updloadForm, headers: any) => {
        const url: string = eduUrl + EduTask.VIDEO_TASK_UPLOAD;
        return await WebClient.requestResultDtoPost(updloadForm, url, headers);
    },
    /**
     * 健康宣传已创建列表
     */
    getPropagandaTask: async (taskForm, headers: any) => {
        const url: string = eduUrl + EduTask.PRO_TASK_GET;
        return await WebClient.requestResultDtoPost(taskForm, url, headers);
    },
    /**
     * 健康宣传详情
     */
    getPropagandaOne: async (id, headers: any) => {
        const url: string = eduUrl + EduTask.PRO_TASK_ONE + "?id=" + id;
        return await WebClient.requestResultDtoGet(id, url, headers);
    },
    /**
     * 健康宣传保存
     */
    savePropaganda: async (saveForm, headers: any) => {
        const url: string = eduUrl + EduTask.PRO_TASK_SAVE;
        return await WebClient.requestResultDtoPost(saveForm, url, headers);
    },
    /**
     * 健康宣传修改
     */
    updPropaganda: async (updForm, headers: any) => {
        const url: string = eduUrl + EduTask.PRO_TASK_UPD;
        return await WebClient.requestResultDtoPost(updForm, url, headers);
    },
    /**
     * 健康宣传上传凭证
     */
    uploadPropaganda: async (uploadForm, headers: any) => {
        const url: string = eduUrl + EduTask.PRO_TASK_UPLOAD;
        return await WebClient.requestResultDtoPost(uploadForm, url, headers);
    },
    /**
     * 公众性已创建列表
     */
    getPublicTask: async (taskForm, headers: any) => {
        const url: string = eduUrl + EduTask.PUBLIC_TASK_GET;
        return await WebClient.requestResultDtoPost(taskForm, url, headers);
    },
    /**
     * 公众性详情
     */
    getPublicOne: async (id, headers: any) => {
        const url: string = eduUrl + EduTask.PUBLIC_TASK_ONE + "?id=" + id;
        return await WebClient.requestResultDtoGet(id, url, headers);
    },
    /**
     * 公众性保存
     */
    savePublic: async (saveForm, headers: any) => {
        const url: string = eduUrl + EduTask.PUBLIC_TASK_SAVE;
        return await WebClient.requestResultDtoPost(saveForm, url, headers);
    },
    /**
     * 公众性修改
     */
    updPublic: async (updForm, headers: any) => {
        const url: string = eduUrl + EduTask.PUBLIC_TASK_UPD;
        return await WebClient.requestResultDtoPost(updForm, url, headers);
    },
    /**
     * 公众性上传凭证
     */
    uploadPublic: async (uploadForm, headers: any) => {
        const url: string = eduUrl + EduTask.PUBLIC_TASK_UPLOAD;
        return await WebClient.requestResultDtoPost(uploadForm, url, headers);
    },
    /**
     * 个体化已创建列表
     */
    getConsulationTask: async (taskForm, headers: any) => {
        const url: string = eduUrl + EduTask.CON_TASK_GET;
        return await WebClient.requestResultDtoPost(taskForm, url, headers);
    },
    /**
     * 个体化已创建列表
     */
    getConsulationOne: async (id, headers: any) => {
        const url: string = eduUrl + EduTask.CON_TASK_ONE + "?id=" + id;
        return await WebClient.requestResultDtoGet(id, url, headers);
    },
    /**
     * 个体化保存
     */
    saveConsulation: async (saveForm, headers: any) => {
        const url: string = eduUrl + EduTask.CON_TASK_SAVE;
        return await WebClient.requestResultDtoPost(saveForm, url, headers);
    },
    /**
     * 个体化修改
     */
    updConsulation: async (updForm, headers: any) => {
        const url: string = eduUrl + EduTask.CON_TASK_UPD;
        return await WebClient.requestResultDtoPost(updForm, url, headers);
    },
    /**
     * 个体化居民预约
     */
    orderConsulation: async (orderForm, headers: any) => {
        const url: string = eduUrl + EduTask.CON_TASK_ORDER;
        return await WebClient.requestResultDtoPost(orderForm, url, headers);
    },
    /**
     * 个体化居民问题
     */
    userQuestion: async (questionForm, headers: any) => {
        const url: string = eduUrl + EduTask.CON_TASK_QUESTION;
        return await WebClient.requestResultDtoPost(questionForm, url, headers);
    },
};