import {ResultDto} from "../../model/ResultDto";
import {EduTaskForm} from "../../model/edu/form/EduTaskForm";
import {EduLectureDto} from "../../model/edu/dto/EduLectureDto";
import {EduLineDto} from "../../model/edu/dto/EduLineDto";
import {EduLectureForm} from "../../model/edu/form/EduLectureForm";
import {UpdEduLectureForm} from "../../model/edu/form/UpdEduLectureForm";
import {UploadVoucherForm} from "../../model/edu/form/UploadVoucherForm";
import {EduBoardDto} from "../../model/edu/dto/EduBoardDto";
import {EduBoardForm} from "../../model/edu/form/EduBoardForm";
import {UpdEduBoardForm} from "../../model/edu/form/UpdEduBoardForm";
import {EduSystemDto} from "../../model/edu/dto/EduSystemDto";
import {EduSystemUserForm} from "../../model/edu/form/EduSystemUserForm";
import {EduSystemEntity} from "../../model/edu/entity/EduSystemEntity";
import {EduSystemForm} from "../../model/edu/form/EduSystemForm";
import {UpdEduSystemForm} from "../../model/edu/form/UpdEduSystemForm";
import {EduVideoDto} from "../../model/edu/dto/EduVideoDto";
import {EduVideoForm} from "../../model/edu/form/EduVideoForm";
import {UpdEduVideoForm} from "../../model/edu/form/UpdEduVideoForm";
import {EduPropagandaDto} from "../../model/edu/dto/EduPropagandaDto";
import {EduPropagandaForm} from "../../model/edu/form/EduPropagandaForm";
import {UpdEduPropagandaForm} from "../../model/edu/form/UpdEduPropagandaForm";
import {EduPublicDto} from "../../model/edu/dto/EduPublicDto";
import {EduPublicForm} from "../../model/edu/form/EduPublicForm";
import {UpdEduPublicForm} from "../../model/edu/form/UpdEduPublicForm";
import {EduConsulationDto} from "../../model/edu/dto/EduConsulationDto";
import {EduConsulationForm} from "../../model/edu/form/EduConsulationForm";
import {UpdEduConsulationForm} from "../../model/edu/form/UpdEduConsulationForm";
import {EduConsulationOrderForm} from "../../model/edu/form/EduConsulationOrderForm";
import {SaveEduUserQuestionForm} from "../../model/edu/form/SaveEduUserQuestionForm";

declare global {
    namespace TaskDefine {
        /**
         *健康宣教
         */
        interface Lecture {
            /**
             * 讲座已创建列表
             */
            getLectureTask?: (taskForm: EduTaskForm, headers: any) => Promise<ResultDto<EduLectureDto[]>>;

            /**
             * 讲座详情
             */
            getLectureOne?: (id: string, headers: any) => Promise<ResultDto<EduLineDto[]>>;
            /**
             * 讲座保存
             */
            saveLecture?: (saveForm: EduLectureForm, headers: any) => Promise<ResultDto<EduLectureForm>>;
            /**
             * 讲座修改
             */
            updLecture?: (updForm: UpdEduLectureForm, headers: any) => Promise<ResultDto<UpdEduLectureForm>>;
            /**
             * 讲座上传凭证
             */
            uploadLecture?: (uploadForm: UploadVoucherForm, headers: any) => Promise<ResultDto<boolean>>;


            /**
             * 板报已创建列表
             * @param taskForm
             * @param headers
             */
            getBoardTask?: (taskForm: EduTaskForm, headers: any) => Promise<ResultDto<EduBoardDto[]>>;

            /**
             * 板报详情
             * @param taskForm
             * @param headers
             */
            getBoardOne?: (id: string, headers: any) => Promise<ResultDto<EduLineDto>>;
            /**
             * 板报保存
             * @param taskForm
             * @param headers
             */
            saveBoard?: (saveForm: EduBoardForm, headers: any) => Promise<ResultDto<EduBoardForm>>;
            /**
             * 板报修改
             * @param taskForm
             * @param headers
             */
            updBoard?: (updForm: UpdEduBoardForm, headers: any) => Promise<ResultDto<UpdEduBoardForm>>;
            /**
             * 板报上传凭证
             * @param taskForm
             * @param headers
             */
            uploadBoard?: (uploadForm: UploadVoucherForm, headers: any) => Promise<ResultDto<boolean>>;

            /**
             * 系统宣教已创建列表
             * @param taskForm
             * @param headers
             */
            getSystemTask?: (taskForm: EduTaskForm, headers: any) => Promise<ResultDto<EduSystemDto[]>>;
            /**
             * 系统宣教详情
             * @param taskForm
             * @param headers
             */
            getSystemOne?: (id: string, headers: any) => Promise<ResultDto<EduLineDto>>;
            /**
             * 居民查看系统宣教
             * @param taskForm
             * @param headers
             */
            getUserSystem?: (userForm: EduSystemUserForm, headers: any) => Promise<ResultDto<EduSystemEntity>>;
            /**
             * 系统宣教保存
             * @param taskForm
             * @param headers
             */
            saveSystem?: (saveForm: EduSystemForm, headers: any) => Promise<ResultDto<EduSystemForm>>;
            /**
             * 系统宣教修改
             * @param taskForm
             * @param headers
             */
            updSystem?: (updForm: UpdEduSystemForm, headers: any) => Promise<ResultDto<UpdEduSystemForm>>;

            /**
             * 音像已创建列表
             * @param taskForm
             * @param headers
             */
            getVideoTask?: (taskForm: EduTaskForm, headers: any) => Promise<ResultDto<EduVideoDto[]>>;
            /**
             * 音像详情
             * @param taskForm
             * @param headers
             */
            getVideoOne?: (id: string, headers: any) => Promise<ResultDto<EduLineDto>>;
            /**
             * 音像保存
             * @param taskForm
             * @param headers
             */
            saveVideo?: (saveForm: EduVideoForm, headers: any) => Promise<ResultDto<EduVideoForm>>;
            /**
             * 音像修改
             * @param taskForm
             * @param headers
             */
            updVideo?: (updForm: UpdEduVideoForm, headers: any) => Promise<ResultDto<UpdEduVideoForm>>;
            /**
             * 音像上传凭证
             * @param taskForm
             * @param headers
             */
            uploadVideo?: (updloadForm: UploadVoucherForm, headers: any) => Promise<ResultDto<boolean>>;

            /**
             * 健康宣传已创建列表
             * @param taskForm
             * @param headers
             */
            getPropagandaTask?: (taskForm: EduTaskForm, headers: any) => Promise<ResultDto<EduPropagandaDto[]>>;
            /**
             * 健康宣传详情
             * @param taskForm
             * @param headers
             */
            getPropagandaOne?: (id: string, headers: any) => Promise<ResultDto<EduLineDto>>;
            /**
             * 健康宣传保存
             * @param taskForm
             * @param headers
             */
            savePropaganda?: (saveForm: EduPropagandaForm, headers: any) => Promise<ResultDto<EduPropagandaForm>>;
            /**
             * 健康宣传修改
             * @param taskForm
             * @param headers
             */
            updPropaganda?: (updForm: UpdEduPropagandaForm, headers: any) => Promise<ResultDto<UpdEduPropagandaForm>>;
            /**
             * 健康宣传上传凭证
             * @param taskForm
             * @param headers
             */
            uploadPropaganda?: (uploadForm: UploadVoucherForm, headers: any) => Promise<ResultDto<boolean>>;

            /**
             * 公众性已创建列表
             * @param taskForm
             * @param headers
             */
            getPublicTask?: (taskForm: EduTaskForm, headers: any) => Promise<ResultDto<EduPublicDto[]>>;
            /**
             * 公众性详情
             * @param taskForm
             * @param headers
             */
            getPublicOne?: (id: string, headers: any) => Promise<ResultDto<EduLineDto>>;
            /**
             * 公众性保存
             * @param taskForm
             * @param headers
             */
            savePublic?: (saveForm: EduPublicForm, headers: any) => Promise<ResultDto<EduPublicForm>>;
            /**
             * 公众性修改
             * @param taskForm
             * @param headers
             */
            updPublic?: (updForm: UpdEduPublicForm, headers: any) => Promise<ResultDto<UpdEduPublicForm>>;
            /**
             * 公众性上传凭证
             * @param taskForm
             * @param headers
             */
            uploadPublic?: (uploadForm: UploadVoucherForm, headers: any) => Promise<ResultDto<boolean>>;

            /**
             * 个体化已创建列表
             * @param taskForm
             * @param headers
             */
            getConsulationTask?: (taskForm: EduTaskForm, headers: any) => Promise<ResultDto<EduConsulationDto[]>>;
            /**
             * 个体化详情
             * @param taskForm
             * @param headers
             */
            getConsulationOne?: (id: string, headers: any) => Promise<ResultDto<EduLineDto>>;
            /**
             * 个体化保存
             * @param taskForm
             * @param headers
             */
            saveConsulation?: (saveForm: EduConsulationForm, headers: any) => Promise<ResultDto<EduConsulationForm>>;
            /**
             * 个体化修改
             * @param taskForm
             * @param headers
             */
            updConsulation?: (updForm: UpdEduConsulationForm, headers: any) => Promise<ResultDto<UpdEduConsulationForm>>;
            /**
             * 个体化居民预约
             * @param taskForm
             * @param headers
             */
            orderConsulation?: (orderForm: EduConsulationOrderForm, headers: any) => Promise<ResultDto<boolean>>;
            /**
             * 个体化居民问题
             * @param taskForm
             * @param headers
             */
            userQuestion?: (questionForm: SaveEduUserQuestionForm, headers: any) => Promise<ResultDto<boolean>>;
        }
    }
}
export {};